apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.3.0 (4f187a1)
  creationTimestamp: null
  labels:
    io.kompose.service: dspace
  name: dspace
  namespace: dspace
spec:
  replicas: 1
  strategy: {}
  template:
    metadata:
      creationTimestamp: null
      labels:
        io.kompose.service: dspace
    spec:
      containers:
      - env:
        - name: DSPACE_USER
          valueFrom:
            secretKeyRef:
              key: dspace.user
              name: dspace-secrets
        - name: DSPACE_PASSWORD
          valueFrom:
            secretKeyRef:
              key: dspace.pass
              name: dspace-secrets
        - name: DSPACE_DBNAME
          valueFrom:
            secretKeyRef:
              key: dspace.db.name
              name: dspace-secrets
        - name: DSPACE_UTILSDBNAME
          valueFrom:
            secretKeyRef:
              key: dspace.utils.name
              name: dspace-secrets
        - name: MAIL_USER
          valueFrom:
            secretKeyRef:
              key: mail.user
              name: dspace-secrets
        - name: MAIL_PASSWORD
          valueFrom:
            secretKeyRef:
              key: mail.pass
              name: dspace-secrets
        image: gitlab.inf.unibz.it:4567/commul/docker/clarin-dspace/production/dspace:1.3
        name: clarin-dspace
        imagePullPolicy: Always
        ports:
        - containerPort: 8009
        - containerPort: 8080
        - containerPort: 8000
        - containerPort: 2641
        resources: {}
        volumeMounts:
        - mountPath: /opt/lindat-dspace/installation/assetstore
          name: dspace-assetstore
      restartPolicy: Always
      imagePullSecrets:
        - name: gitlab-scientificnet-org-registry
      volumes:
        - cephfs:
            monitors:
            - 10.8.55.201:6789
            - 10.8.55.202:6789
            - 10.8.55.203:6789
            - 10.7.55.201:6789
            - 10.7.55.202:6789
            path: /eurac/commul/projects/clarin/kubernetes/dspace/assetstore
            secretRef:
              name: client.fs.commul.admin
            user: fs.commul.admin
          name: dspace-assetstore
status: {}
